Bug 497735 - Review Request: php-ezc-Cache - eZ Components Cache
Summary: Review Request: php-ezc-Cache - eZ Components Cache
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-26 16:47 UTC by Guillaume Kulakowski
Modified: 2014-09-02 13:29 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-05-13 00:22:19 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Guillaume Kulakowski 2009-04-26 16:47:41 UTC
Cache is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

A solution for caching, supporting multiple backends allowing you to specify
the best performing solution for your caching-problem.


SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Cache.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Cache-1.4-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Cache-1.4-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Cache*               
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| Cache/*                     | 5.0.0   | 0 | apc        | ...CTORY_SEPARATOR |
|                             |         |   | date       | abstract           |
|                             |         |   | hash       | implements         |
|                             |         |   | pcre       | instanceof         |
|                             |         |   | spl        | interface          |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
+-----------------------------+---------+---+------------+--------------------+

Comment 1 Remi Collet 2009-04-27 16:30:02 UTC
Shouldn't you consider adding APC as a dependency ?

Comment 2 Guillaume Kulakowski 2009-04-27 18:45:57 UTC
I do not think.
APC is an option of php-ezc-Cache. You can use php-ezc-Cache and have an auther opcode cache solution (like php accelerator) and is this fact, install 2 opcode cache can make conflicts.

Comment 3 Remi Collet 2009-04-29 16:44:36 UTC
REVIEW:

+ rpmlint is ok
php-ezc-Cache.src: I: checking
php-ezc-Cache.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
d1f3d512828f50274f62f6af82b30ad5  Cache-1.4.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear  
php-common >= 5.2.1
php-pear(components.ez.no/Base) >= 1.5
+ Final Provides ok
php-pear(components.ez.no/Cache) = 1.4
php-ezc-Cache = 1.4-1.fc8


SHOULD:

As you remove empty (dummy) file, you can probably also remove empty dir in docdir
So : rm -rf ./docdir/cache

Please add a note about the use of APC for cache storage only available if php-pecl-apc extension installed (in %description).


--------
APPROVED
--------

Comment 4 Guillaume Kulakowski 2009-04-29 20:17:33 UTC
New Package CVS Request
=======================
Package Name: php-ezc-Cache
Short Description: Provides a collection of lightweight classes to cache different kinds of data
Owners: llaumgui
Branches: F-9 F-10 F-11
InitialCC:

Comment 5 Kevin Fenzi 2009-04-30 04:51:22 UTC
cvs done.

Comment 6 Fedora Update System 2009-05-01 14:42:29 UTC
php-ezc-Cache-1.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Cache-1.4-1.fc9

Comment 7 Fedora Update System 2009-05-01 14:42:35 UTC
php-ezc-Cache-1.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Cache-1.4-1.fc10

Comment 8 Fedora Update System 2009-05-02 16:35:48 UTC
php-ezc-Cache-1.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Cache'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4160

Comment 9 Fedora Update System 2009-05-02 16:43:03 UTC
php-ezc-Cache-1.4-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Cache'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4215

Comment 10 Fedora Update System 2009-05-13 00:22:14 UTC
php-ezc-Cache-1.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-05-13 00:24:16 UTC
php-ezc-Cache-1.4-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Guillaume Kulakowski 2010-08-29 08:56:31 UTC
Package Change Request
======================
Package Name: php-ezc-Cache
New Branches: EL-6
Owners: llaumgui

Comment 13 Kevin Fenzi 2010-08-29 18:50:46 UTC
Git done (by process-git-requests).

Comment 14 Guillaume Kulakowski 2014-09-02 12:59:59 UTC
Package Change Request
======================
Package Name: php-ezc-Cache
New Branches: EL-7
Owners: llaumgui

Comment 15 Gwyn Ciesla 2014-09-02 13:29:53 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.